from __future__ import annotations

from clarabot_nano_common.common.config.extract.base import AbstractExtractedConfig


class PicotureExtractedConfig(AbstractExtractedConfig):
    def __init__(self, config):
        self.picoture_port = config["state"].get("picoture_port")

    def _matches(self, other: PicotureExtractedConfig) -> bool:
        return self.picoture_port == other.picoture_port
